#include <stdio.h>
#include <stdlib.h>
#include "crtest.h"

void
print_data ()
{
  printf ("data=%d %d %c\n", foo[0].x, foo[1].y[2], foo[1].z[1]);
}

void
modify_data1 ()
{
  foo[0].x = 6;
  foo[1].y[2] = 19;
  foo[1].z[1] = 'g';
}

void
modify_data2 ()
{
  foo[0].x = 12;
  foo[1].y[2] = 11;
  foo[1].z[1] = 'f';
}

int
xmain ()
{
  int pid;
  printf ("parent (initial value)      [1 23 e] : ");
  print_data ();
  modify_data1 ();
  printf ("parent (mod#1, before fork) [6 19 g] : ");
  print_data ();

  switch (pid = fork ())
    {
    case -1:
      perror ("fork");
      break;
    case 0:
      printf ("child (initial value)       [6 19 g] : ");
      print_data ();
      modify_data2 ();
      printf ("child (mod#2)               [12 11 f]: ");
      print_data ();
      break;
    default:
      wait (NULL);
      printf ("parent (after fork)         [6 19 g] : ");
      print_data ();
      modify_data2 ();
      printf ("parent (mod#2)              [12 11 f]: ");
      print_data ();
    }
  return 0;
}

int
zmain ()
{
}
